[package]
name = "dominant_colours"
version = "1.4.1"
edition = "2018"

[dependencies]
assert_cmd = "2.1.2"
clap = { version = "4.5.60", features = ["derive"] }
image-webp = "0.2.4"
predicates = "3"

[dependencies.kmeans_colors]
version = "0.7.1"
features = ["palette_color"]
default-features = false

[dependencies.image]
version = "0.25"
features = ["jpeg", "png", "gif", "tiff", "webp"]
default-features = false

[dependencies.palette]
version = "0.7"
default-features = false
features = ["std"]
